<div class="h-screen p-5 border-r" [style.width]="isAtEnd ? '280px' : '0px'" [style.transition]="'width 0.5s'">
  <div class="relative h-[25px] flex items-center border border-black rounded-3xl">
    <div
      class="flex items-center bg-black dark:bg-white translate-x-[240%] dark:translate-x-0 w-[70px] h-[25px] absolute border border-black rounded-3xl cursor-pointer transition-transform duration-500 ease-in-out"
      (click)="toggleSidebar()">
      <div class="flex">
        <span class="relative flex h-[15px] w-[15px] mx-[3px]">
          <span
            class="animate-ping absolute inline-flex h-full w-full rounded-full bg-gradient-to-r from-red-900 via-yellow-600 to-yellow-700 opacity-75"></span>
          <span
            class="relative inline-flex rounded-full h-[15px] w-[15px] bg-gradient-to-r from-red-900 via-yellow-600 to-yellow-700"></span>
        </span>
        <span class="relative flex h-[15px] w-[15px] mx-[3px]">
          <span
            class="animate-ping absolute inline-flex h-full w-full rounded-full bg-gradient-to-r from-orange-600  via-orange-600 to-green-500 opacity-75"></span>
          <span
            class="relative inline-flex rounded-full h-[15px] w-[15px] bg-gradient-to-r from-orange-600  via-orange-600 to-green-500"></span>
        </span>
        <span class="relative flex h-[15px] w-[15px] mx-[3px]">
          <span
            class="animate-ping absolute inline-flex h-full w-full rounded-full bg-gradient-to-r from-emerald-600 via-cyan-600 to-indigo-700 opacity-75"></span>
          <span
            class="relative inline-flex rounded-full h-[15px] w-[15px] bg-gradient-to-r from-emerald-600 via-cyan-600 to-indigo-700"></span>
        </span>
      </div>
    </div>
  </div>
  <div class="mt-12 text-left block dark:hidden">
    <h2 class="text-gray-500">MENU</h2>
    <div class="m-3 font-medium">
      <div *ngFor="let nav of navs; let i = index" class="my-3">
        <div *ngIf="nav.parent == 0">
          <div class="flex items-center cursor-pointer" (click)="toggleItem(nav.id)">
            <img class="w-7 h-7 mr-2" [src]="'assets/icon_logo/' + nav.icon" alt="">
            <a *ngIf="!hasChildMenus(nav)" class="hover:text-red-600" [routerLink]="nav.path">{{ nav.name }}</a>
            <h3 *ngIf="hasChildMenus(nav)" class="hover:text-red-600">{{ nav.name }}</h3>
          </div>
          <div class="ml-2 mt-3" *ngIf="item === nav.id">
            <div *ngFor="let navItem of navs; let j = index" class="my-2 cursor-pointer">
              <div *ngIf="navItem.parent == nav.id" class="hover:text-yellow-500 flex items-center">
                <div class="w-1 h-1 rounded-full bg-red-500 mr-2"></div>
                <a [routerLink]="[nav.path, navItem.path]">{{ navItem.name }}</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>